## klog 0.9.8.1

=== Makefile ===
#############################################################################
# Makefile for building: build/target/klog
# Generated by qmake (3.1) (Qt 5.11.3)
# Project:  KLog.pro
# Template: app
# Command: /usr/lib/qt5/bin/qmake -o Makefile KLog.pro
#############################################################################

MAKEFILE      = Makefile

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DAPP_VERSION=0.9.8.1 -DAPP_NAME=KLog -DAPP_UNIX_NAME=klog -DQT_USE_QSTRINGBUILDER -DQT_STRICT_ITERATORS -DAPP_LINUX -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_CHARTS_LIB -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_SQL_LIB -DQT_NETWORK_LIB -DQT_SERIALPORT_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -std=gnu++11 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I. -isystem /usr/include/i386-linux-gnu/qt5 -isystem /usr/include/i386-linux-gnu/qt5/QtPrintSupport -isystem /usr/include/i386-linux-gnu/qt5/QtCharts -isystem /usr/include/i386-linux-gnu/qt5/QtWidgets -isystem /usr/include/i386-linux-gnu/qt5/QtGui -isystem /usr/include/i386-linux-gnu/qt5/QtSql -isystem /usr/include/i386-linux-gnu/qt5/QtNetwork -isystem /usr/include/i386-linux-gnu/qt5/QtSerialPort -isystem /usr/include/i386-linux-gnu/qt5/QtCore -Ibuild/moc -isystem /usr/include/libdrm -I/usr/lib/i386-linux-gnu/qt5/mkspecs/linux-g++
QMAKE         = /usr/lib/qt5/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = cp -f -R
QINSTALL      = /usr/lib/qt5/bin/qmake -install qinstall
QINSTALL_PROGRAM = /usr/lib/qt5/bin/qmake -install qinstall -exe
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
TAR           = tar -cf
COMPRESS      = gzip -9f
DISTNAME      = klog0.9.8.1
DISTDIR = /home/devel/Desktop/klog-0.9.8.1/build/obj/klog0.9.8.1
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS) -lhamlib -lQt5PrintSupport -lQt5Charts -lQt5Widgets -lQt5Gui -lQt5Sql -lQt5Network -lQt5SerialPort -lQt5Core -lGL -lpthread 
AR            = ar cqs
RANLIB        = 
SED           = sed
STRIP         = strip

####### Output directory

OBJECTS_DIR   = build/obj/

####### Files

SOURCES       = main.cpp \
		aboutdialog.cpp \
		mainwindow.cpp \
		setupdialog.cpp \
		world.cpp \
		logwindow.cpp \
		filemanager.cpp \
		contest.cpp \
		contest_cqwwdxssb.cpp \
		database.cpp \
		dataproxy.cpp \
		dataproxy_sqlite.cpp \
		downloadcty.cpp \
		dxcluster.cpp \
		setuppagemisc.cpp \
		locator.cpp \
		awards.cpp \
		setuppageuserdata.cpp \
		setuppagedxcluster.cpp \
		setuppagecolors.cpp \
		setuppagelogs.cpp \
		setuppageworldeditor.cpp \
		setupentitydialog.cpp \
		startwizard.cpp \
		mainwindowsattab.cpp \
		awarddxmarathon.cpp \
		setuppagelogsnew.cpp \
		setuppageclublog.cpp \
		elogclublog.cpp \
		softwareupdate.cpp \
		softwareupdatedialog.cpp \
		utilities.cpp \
		dxccstatuswidget.cpp \
		mainwindowmydatatab.cpp \
		mainwindowinputcomment.cpp \
		mainwindowinputothers.cpp \
		mainwindowinputeqsl.cpp \
		mainwindowinputqsl.cpp \
		setuppagebandmode.cpp \
		logmodel.cpp \
		searchwidget.cpp \
		infowidget.cpp \
		showerrordialog.cpp \
		udpserver.cpp \
		setuppageudp.cpp \
		statisticswidget.cpp \
		charts/barchartstats.cpp \
		updatesatsdata.cpp \
		charts/statsgeneralchartwidget.cpp \
		charts/statsqsosperyearbarchartwidget.cpp \
		charts/statsentitiesperyearbarchartwidget.cpp \
		charts/statscqzperyearbarchartwidget.cpp \
		charts/statsqsospermodebarchartwidget.cpp \
		charts/statsqsosperdxccbarchartwidget.cpp \
		charts/statsqsospercontinentbarchartwidget.cpp \
		charts/statsqsosperhourbarchartwidget.cpp \
		charts/statsqsospermonthbarchartwidget.cpp \
		charts/statsworkedconfirmedpiechartwidget.cpp \
		charts/statsworkedsentpiechartwidget.cpp \
		charts/statssentconfirmedpiechartwidget.cpp \
		charts/statsqsosperbandbarchartwidget.cpp \
		setuppagesats.cpp \
		setuppagesatsnew.cpp \
		setuppagehamlib.cpp \
		hamlibclass.cpp build/rcc/qrc_klog.cpp \
		build/moc/moc_setupdialog.cpp \
		build/moc/moc_aboutdialog.cpp \
		build/moc/moc_mainwindow.cpp \
		build/moc/moc_world.cpp \
		build/moc/moc_logwindow.cpp \
		build/moc/moc_filemanager.cpp \
		build/moc/moc_contest.cpp \
		build/moc/moc_setuppagemisc.cpp \
		build/moc/moc_dxcluster.cpp \
		build/moc/moc_awards.cpp \
		build/moc/moc_setuppageuserdata.cpp \
		build/moc/moc_setuppagedxcluster.cpp \
		build/moc/moc_setuppagecolors.cpp \
		build/moc/moc_setuppagelogs.cpp \
		build/moc/moc_setuppageworldeditor.cpp \
		build/moc/moc_setupentitydialog.cpp \
		build/moc/moc_startwizard.cpp \
		build/moc/moc_downloadcty.cpp \
		build/moc/moc_dataproxy.cpp \
		build/moc/moc_dataproxy_sqlite.cpp \
		build/moc/moc_mainwindowsattab.cpp \
		build/moc/moc_setuppagelogsnew.cpp \
		build/moc/moc_setuppageclublog.cpp \
		build/moc/moc_elogclublog.cpp \
		build/moc/moc_softwareupdate.cpp \
		build/moc/moc_softwareupdatedialog.cpp \
		build/moc/moc_dxccstatuswidget.cpp \
		build/moc/moc_mainwindowmydatatab.cpp \
		build/moc/moc_mainwindowinputcomment.cpp \
		build/moc/moc_mainwindowinputothers.cpp \
		build/moc/moc_mainwindowinputeqsl.cpp \
		build/moc/moc_mainwindowinputqsl.cpp \
		build/moc/moc_setuppagebandmode.cpp \
		build/moc/moc_logmodel.cpp \
		build/moc/moc_searchwidget.cpp \
		build/moc/moc_infowidget.cpp \
		build/moc/moc_showerrordialog.cpp \
		build/moc/moc_udpserver.cpp \
		build/moc/moc_setuppageudp.cpp \
		build/moc/moc_statisticswidget.cpp \
		build/moc/moc_barchartstats.cpp \
		build/moc/moc_updatesatsdata.cpp \
		build/moc/moc_statsgeneralchartwidget.cpp \
		build/moc/moc_statsqsosperyearbarchartwidget.cpp \
		build/moc/moc_statsentitiesperyearbarchartwidget.cpp \
		build/moc/moc_statscqzperyearbarchartwidget.cpp \
		build/moc/moc_statsqsosperbandbarchartwidget.cpp \
		build/moc/moc_statsqsospermodebarchartwidget.cpp \
		build/moc/moc_statsqsosperdxccbarchartwidget.cpp \
		build/moc/moc_statsqsospercontinentbarchartwidget.cpp \
		build/moc/moc_statsqsosperhourbarchartwidget.cpp \
		build/moc/moc_statsqsospermonthbarchartwidget.cpp \
		build/moc/moc_statsworkedconfirmedpiechartwidget.cpp \
		build/moc/moc_statsworkedsentpiechartwidget.cpp \
		build/moc/moc_statssentconfirmedpiechartwidget.cpp \
		build/moc/moc_setuppagesats.cpp \
		build/moc/moc_setuppagesatsnew.cpp \
		build/moc/moc_setuppagehamlib.cpp \
		build/moc/moc_hamlibclass.cpp
OBJECTS       = build/obj/main.o \
		build/obj/aboutdialog.o \
		build/obj/mainwindow.o \
		build/obj/setupdialog.o \
		build/obj/world.o \
		build/obj/logwindow.o \
		build/obj/filemanager.o \
		build/obj/contest.o \
		build/obj/contest_cqwwdxssb.o \
		build/obj/database.o \
		build/obj/dataproxy.o \
		build/obj/dataproxy_sqlite.o \
		build/obj/downloadcty.o \
		build/obj/dxcluster.o \
		build/obj/setuppagemisc.o \
		build/obj/locator.o \
		build/obj/awards.o \
		build/obj/setuppageuserdata.o \
		build/obj/setuppagedxcluster.o \
		build/obj/setuppagecolors.o \
		build/obj/setuppagelogs.o \
		build/obj/setuppageworldeditor.o \
		build/obj/setupentitydialog.o \
		build/obj/startwizard.o \
		build/obj/mainwindowsattab.o \
		build/obj/awarddxmarathon.o \
		build/obj/setuppagelogsnew.o \
		build/obj/setuppageclublog.o \
		build/obj/elogclublog.o \
		build/obj/softwareupdate.o \
		build/obj/softwareupdatedialog.o \
		build/obj/utilities.o \
		build/obj/dxccstatuswidget.o \
		build/obj/mainwindowmydatatab.o \
		build/obj/mainwindowinputcomment.o \
		build/obj/mainwindowinputothers.o \
		build/obj/mainwindowinputeqsl.o \
		build/obj/mainwindowinputqsl.o \
		build/obj/setuppagebandmode.o \
		build/obj/logmodel.o \
		build/obj/searchwidget.o \
		build/obj/infowidget.o \
		build/obj/showerrordialog.o \
		build/obj/udpserver.o \
		build/obj/setuppageudp.o \
		build/obj/statisticswidget.o \
		build/obj/barchartstats.o \
		build/obj/updatesatsdata.o \
		build/obj/statsgeneralchartwidget.o \
		build/obj/statsqsosperyearbarchartwidget.o \
		build/obj/statsentitiesperyearbarchartwidget.o \
		build/obj/statscqzperyearbarchartwidget.o \
		build/obj/statsqsospermodebarchartwidget.o \
		build/obj/statsqsosperdxccbarchartwidget.o \
		build/obj/statsqsospercontinentbarchartwidget.o \
		build/obj/statsqsosperhourbarchartwidget.o \
		build/obj/statsqsospermonthbarchartwidget.o \
		build/obj/statsworkedconfirmedpiechartwidget.o \
		build/obj/statsworkedsentpiechartwidget.o \
		build/obj/statssentconfirmedpiechartwidget.o \
		build/obj/statsqsosperbandbarchartwidget.o \
		build/obj/setuppagesats.o \
		build/obj/setuppagesatsnew.o \
		build/obj/setuppagehamlib.o \
		build/obj/hamlibclass.o \
		build/obj/qrc_klog.o \
		build/obj/moc_setupdialog.o \
		build/obj/moc_aboutdialog.o \
		build/obj/moc_mainwindow.o \
		build/obj/moc_world.o \
		build/obj/moc_logwindow.o \
		build/obj/moc_filemanager.o \
		build/obj/moc_contest.o \
		build/obj/moc_setuppagemisc.o \
		build/obj/moc_dxcluster.o \
		build/obj/moc_awards.o \
		build/obj/moc_setuppageuserdata.o \
		build/obj/moc_setuppagedxcluster.o \
		build/obj/moc_setuppagecolors.o \
		build/obj/moc_setuppagelogs.o \
		build/obj/moc_setuppageworldeditor.o \
		build/obj/moc_setupentitydialog.o \
		build/obj/moc_startwizard.o \
		build/obj/moc_downloadcty.o \
		build/obj/moc_dataproxy.o \
		build/obj/moc_dataproxy_sqlite.o \
		build/obj/moc_mainwindowsattab.o \
		build/obj/moc_setuppagelogsnew.o \
		build/obj/moc_setuppageclublog.o \
		build/obj/moc_elogclublog.o \
		build/obj/moc_softwareupdate.o \
		build/obj/moc_softwareupdatedialog.o \
		build/obj/moc_dxccstatuswidget.o \
		build/obj/moc_mainwindowmydatatab.o \
		build/obj/moc_mainwindowinputcomment.o \
		build/obj/moc_mainwindowinputothers.o \
		build/obj/moc_mainwindowinputeqsl.o \
		build/obj/moc_mainwindowinputqsl.o \
		build/obj/moc_setuppagebandmode.o \
		build/obj/moc_logmodel.o \
		build/obj/moc_searchwidget.o \
		build/obj/moc_infowidget.o \
		build/obj/moc_showerrordialog.o \
		build/obj/moc_udpserver.o \
		build/obj/moc_setuppageudp.o \
		build/obj/moc_statisticswidget.o \
		build/obj/moc_barchartstats.o \
		build/obj/moc_updatesatsdata.o \
		build/obj/moc_statsgeneralchartwidget.o \
		build/obj/moc_statsqsosperyearbarchartwidget.o \
		build/obj/moc_statsentitiesperyearbarchartwidget.o \
		build/obj/moc_statscqzperyearbarchartwidget.o \
		build/obj/moc_statsqsosperbandbarchartwidget.o \
		build/obj/moc_statsqsospermodebarchartwidget.o \
		build/obj/moc_statsqsosperdxccbarchartwidget.o \
		build/obj/moc_statsqsospercontinentbarchartwidget.o \
		build/obj/moc_statsqsosperhourbarchartwidget.o \
		build/obj/moc_statsqsospermonthbarchartwidget.o \
		build/obj/moc_statsworkedconfirmedpiechartwidget.o \
		build/obj/moc_statsworkedsentpiechartwidget.o \
		build/obj/moc_statssentconfirmedpiechartwidget.o \
		build/obj/moc_setuppagesats.o \
		build/obj/moc_setuppagesatsnew.o \
		build/obj/moc_setuppagehamlib.o \
		build/obj/moc_hamlibclass.o
DIST          = Changelog \
		COPYING \
		/usr/lib/i386-linux-gnu/qt5/mkspecs/features/spec_pre.prf \
		/usr/lib/i386-linux-gnu/qt5/mkspecs/common/unix.conf \
		/usr/lib/i386-linux-gnu/qt5/mkspecs/common/linux.conf \
		/usr/lib/i386-linux-gnu/qt5/mkspecs/common/sanitize.conf \
		/usr/lib/i386-linux-gnu/qt5/mkspecs/common/gcc-base.conf \
		/usr/lib/i386-linux-gnu/qt5/mkspecs/common/gcc-base-unix.conf \
		/usr/lib/i386-linux-gnu/qt5/mkspecs/common/g++-base.conf \
		/usr/lib/i386-linux-gnu/qt5/mkspecs/common/g++-unix.conf \
		/usr/lib/i386-linux-gnu/qt5/mkspecs/qconfig.pri \
		/usr/lib/i386-linux-gnu/qt5/mkspecs/modules/qt_Baloo.pri \
		/usr/lib/i386-linux-gnu/qt5/mkspecs/modules/qt_lib_accessibility_support_private.pri \
		/usr/lib/i386-linux-gnu/qt5/mkspecs/modules/qt_lib_bootstrap_private.pri \
		/usr/lib/i386-linux-gnu/qt5/mkspecs/modules/qt_lib_charts.pri \

=== debian/changelog ===
klog (0.9.8.1-1.1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:16 +0100

klog (0.9.8.1-1.1) unstable; urgency=medium

  * Non-maintainer upload (at request of maintainer)
  * New upstream version 0.9.8.1
  * Convert debian/source/format to "3.0 (quilt)"
  * Add build-dependencies on libqt5serialport-dev and libhamlib++-dev
  * Remove debian/klog.1 and debian/klog.manpages
    The upstream manpage is installed by CDBS.

 -- tony mancill <tmancill@debian.org>  Sun, 13 Oct 2019 19:03:02 -0700

klog (0.9.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Jaime Robles <jaime@debian.org>  Sun, 10 Mar 2019 17:06:31 +0000

klog (0.9.6-1) unstable; urgency=medium

  * New upstream release
  * Updates the Dependencies of the Debian package

 -- Jaime Robles <jaime@debian.org>  Sun, 03 Feb 2019 18:28:35 +0000

klog (0.9.5.1-3) unstable; urgency=medium

  * Modified the rules:clean to remove .qmake.stash

 -- Jaime Robles <jaime@debian.org>  Fri, 09 Nov 2018 08:28:19 +0100

klog (0.9.5.1-2) unstable; urgency=medium

  * Fix the std error while building in some archs.

 -- Jaime Robles <jaime@debian.org>  Wed, 07 Nov 2018 20:49:35 +0100

klog (0.9.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Jaime Robles <jaime@debian.org>  Wed, 07 Nov 2018 19:09:51 +0100

klog (0.9.5-4) unstable; urgency=medium

  * New upstream release

 -- Jaime Robles <Jaime@debian.org>  Wed, 07 Nov 2018 17:16:34 +0100

klog (0.9.4.1-2) unstable; urgency=medium

  * Updated the standard version.
  * Commented some debug messages that should not be there in the upstream.

 -- Jaime Robles <jaime@debian.org>  Wed, 29 Aug 2018 18:42:40 +0000

klog (0.9.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Jaime Robles <jaime@debian.org>  Tue, 28 Aug 2018 12:32:09 +0000

klog (0.9.3-1) unstable; urgency=medium

  * New upstream release

 -- Jaime Robles <jaime@debian.org>  Mon, 02 Apr 2018 18:25:11 +0000

klog (0.9.2.9-1) unstable; urgency=medium

  * New upstream release

 -- Jaime Robles <jaime@debian.org>  Sun, 28 Jan 2018 17:00:35 +0000

klog (0.9.2.6-1) unstable; urgency=medium

  * New upstream release
  * Bug fixed: Power unit is now shown. (Closes: #654332)
  * Bug fixed: links file removed. (Closes: #654332)
  * Bug closed: Will not fix. Upstream considers to current solution better
    than the proposed one. wontfix. (Closes: #654327)

 -- Jaime Robles <jaime@debian.org>  Sun, 11 Jun 2017 11:08:35 +0000

klog (0.9.2.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Removed some OSX files from the upstream code

 -- Jaime Robles <jaime@robles.es>  Tue, 27 Dec 2016 20:57:59 +0000

klog (0.9.2.5-2) unstable; urgency=medium

  * Fix translation files problem

 -- Jaime Robles <jaime@debian.org>  Mon, 26 Dec 2016 10:40:48 +0000

klog (0.9.2.5-1) unstable; urgency=medium

  * Included the translation files to fix the bug that prevents some builds. 
  * New upstream release

 -- Jaime Robles <jaime@debian.org>  Sat, 24 Dec 2016 15:40:48 +0000

klog (0.9.2.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Added the qt5-default package to the build-depend (Closes: #812473)

 -- Jaime Robles <jaime@debian.org>  Wed, 27 Jan 2016 18:39:13 +0100

klog (0.9.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Jaime Robles <jaime@debian.org>  Fri, 22 Jan 2016 19:23:20 +0000

klog (0.9.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Jaime Robles <jaime@debian.org>  Tue, 01 Dec 2015 19:47:57 +0000

klog (0.9.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Jaime Robles <jaime@debian.org>  Tue, 15 Sep 2015 21:05:53 +0200

klog (0.9.2-1) unstable; urgency=medium

  * New upstream release

 -- Jaime Robles <jaime@debian.org>  Sat, 22 Aug 2015 19:18:12 +0200

klog (0.9.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Jaime Robles <jaime@debian.org>  Sun, 26 Apr 2015 21:35:17 +0200

klog (0.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Jaime Robles <jaime@debian.org>  Sun, 26 Apr 2015 18:19:16 +0200

klog (0.9.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Jaime Robles <jaime@debian.org>  Tue, 13 Jan 2015 20:41:36 +0100

klog (0.9.0.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Description updated.

 -- Jaime Robles <jaime@debian.org>  Sun, 07 Dec 2014 21:54:15 +0100

klog (0.9.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Jaime Robles <jaime@debian.org>  Sun, 07 Dec 2014 20:57:00 +0100

klog (0.9.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Jaime Robles <jaime@debian.org>  Sun, 07 Dec 2014 12:00:25 +0100

klog (0.6.2-1) unstable; urgency=low

  * New upstream release

 -- Jaime Robles <jaime@debian.org>  Sun, 03 Nov 2013 19:11:51 +0000

klog (0.6.1-1.1) unstable; urgency=low

  * Built with the proper and updated system (Closes: #712928)

 -- Jaime Robles <jaime@debian.org>  Fri, 21 Jun 2013 19:36:12 +0000

klog (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Jaime Robles <jaime@debian.org>  Thu, 20 Jun 2013 17:41:55 +0000

klog (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Typo "Frecuency" changed to "Frequency" in a tooltip. (Closes: #654328)
  * Bug fixed: Typo/wishlist "Numb" changed to "Number" in main table. (Closes: #654331)
  * Bug fixed: Typo/wishlist "UTC" changed to "Time" in main table. (Closes: #654331)


 -- Jaime Robles <jaime@debian.org>  Wed, 30 Jan 2013 20:07:14 +0000

klog (0.5.9-1) unstable; urgency=low

  * New upstream release     (Closes: #653697, #653698)
  * Changed the watch file to the right one.

 -- Jaime Robles <jaime@debian.org>  Mon, 02 Jan 2012 18:23:20 +0000

klog (0.5.8-1) unstable; urgency=low

  * New upstream release

 -- Jaime Robles <jaime@debian.org>  Sun, 18 Dec 2011 19:15:34 +0000

klog (0.5.7-1.1) unstable; urgency=low

  * Non-maintainer upload.


=== debian/rules ===
#! /usr/bin/make -f
#export CXXFLAGS=-std=c++11
export QT_SELECT=5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

DEB_CONFIGURE_EXTRA_FLAGS = --disable-debug
DEB_INSTALL_MANPAGES_klog = klog.1

clean::
	rm -f translations/*.qm
	rm -Rf build
	rm -f .qmake.stash


build-indep:

	/usr/bin/lrelease translations/*.ts

build-arch:
	#dh_strip

install/klog::
	# Install pixmaps.
#	dh_install debian/klog.xpm usr/share/pixmaps
	dh_install build/target/klog usr/bin
	dh_install -X *.ts translations usr/share/klog/
	
	# Generate HTML docs.
	for i in `find $(DEB_DESTDIR) -name index.docbook`; do \
	  cd `dirname $$i`; \
	  meinproc `basename $$i`; \
	done
	dh_fixperms

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=giblib1-dbg

override_dh_auto_install:
	dh_auto_install --destdir=debian/giblib1

## klog 1.1

=== debian/changelog ===
klog (1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Fri, 01 May 2020 14:36:31 +0000

klog (1.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Jaime Robles <jaime@debian.org>  Wed, 08 Apr 2020 15:59:03 +0000

klog (1.0-1) unstable; urgency=medium

  * New upstream release
  * Bug closed: UTC is managed in the source code. (Closes: #654325)
  * Bug closed: Writing cabrillo is in the TODO list. (Closes: 655032)

 -- Jaime Robles <jaime@debian.org>  Sun, 29 Mar 2020 23:38:22 +0000

klog (0.9.9.1-2) unstable; urgency=medium

  * Non-binary upload.
  * bug fixed: KLog is not linked to KDE. The documentation is not 
    in the proposed path. It will not be fixed. (Closes: #861501)

 -- Jaime Robles <jaime@debian.org>  Mon, 15 Mar 2020 22:40:48 +0000

klog (0.9.9.1-1) unstable; urgency=medium

  * New upstream release
  * Bug fixed: MIPSEL build fix. (Closes: #948911)
  * Bug fixed: MIPSEL build fix. (Closes: #953703)

 -- Jaime Robles <jaime@debian.org>  Fri, 13 Mar 2020 12:38:59 +0000

## klog 1.4.6

=== debian/changelog ===
klog (1.4.6-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Sat, 30 Jan 2021 15:01:06 +0000

klog (1.4.5-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Mon, 11 Jan 2021 09:44:22 +0000

klog (1.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Bug closed: klog.desktop and icon provided. (Closes: #959418)

 -- Jaime Robles <jaime@debian.org>  Tue, 08 Dec 2020 23:18:45 +0000

klog (1.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Tue, 08 Dec 2020 12:38:35 +0000

klog (1.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Sun, 25 Oct 2020 14:16:25 +0000

klog (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Sun, 04 Oct 2020 11:37:46 +0000

=== debian/control ===
Source: klog
Section: hamradio
Priority: optional
Maintainer: Jaime Robles <jaime@debian.org>
Build-Depends: debhelper (>= 9.20120909), cdbs (>= 0.4.115+deb7u1), cmake (>= 2.8.9), qttools5-dev-tools, qtchooser, qtbase5-dev, libqt5charts5-dev, libqt5serialport5-dev, libhamlib++-dev
Standards-Version: 4.2.1
Homepage: https://www.klog.xyz

Package: klog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite
Description: Multiplatform ham radio logging program 
 This package provides a ham radio logging program.
 This application supports logging for HF, VHF and sats operations.
 It supports many features like QSL, DXCC, IOTA, WAZ and awards.
 KLog produces ADIF as default file format.
 This application also includes a DX-Cluster client fully integrated
 into the main interface and is also integrated with WSJT-X.
 KLog can run in Linux, OSX & Windows systems.

=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases/klog/klog-(.+).tar.gz

## klog 1.7

=== debian/changelog ===
klog (1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Sun, 18 Jul 2021 15:09:17 +0000

klog (1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Thu, 17 Jun 2021 16:14:38 +0000

klog (1.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Fri, 21 May 2021 22:28:52 +0000

klog (1.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Sun, 09 May 2021 10:05:25 +0000

klog (1.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Fri, 30 Apr 2021 22:45:30 +0000

klog (1.5-1) unstable; urgency=medium

  * New upstream release.
  * Updated the watch file to point to GitHub.

 -- Jaime Robles <jaime@debian.org>  Wed, 14 Apr 2021 12:34:27 +0000

klog (1.4.7-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Thu, 04 Mar 2021 11:00:37 +0000

## klog 1.8.6

=== debian/changelog ===
klog (1.8.6-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Fri, 07 Jan 2022 11:18:10 +0000

klog (1.8.5-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Sun, 03 Oct 2021 11:18:31 +0000

klog (1.8.4-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Sun, 29 Aug 2021 12:21:24 +0000

klog (1.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Thu, 19 Aug 2021 15:49:08 +0000

=== debian/rules ===


## klog 2.1

=== debian/changelog ===
klog (2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Thu, 17 Mar 2022 21:36:26 +0000

klog (2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Fri, 11 Mar 2022 19:16:27 +0100

## klog 2.3

=== debian/changelog ===
klog (2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Sun, 30 Oct 2022 11:02:56 +0000

klog (2.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Fri, 30 Sep 2022 06:55:54 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: hamradio
 Priority: optional
 Maintainer: Jaime Robles <jaime@debian.org>
-Build-Depends: debhelper (>= 9.20120909), cdbs (>= 0.4.115+deb7u1), cmake (>= 2.8.9), qttools5-dev-tools, qtchooser, qtbase5-dev, libqt5charts5-dev, libqt5serialport5-dev, libhamlib++-dev
+Build-Depends: debhelper (>= 13.3.4), cdbs (>= 0.4.115+deb7u1), cmake (>= 2.8.9), qttools5-dev-tools, qtchooser, qtbase5-dev, libqt5charts5-dev, libqt5serialport5-dev, libhamlib++-dev, qt5-qmake, qttools5-dev, libqt5sql5-sqlite, qtdeclarative5-dev, qtpositioning5-dev, libhamlib-dev
 Standards-Version: 4.2.1
 Homepage: https://www.klog.xyz
 
 Package: klog
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite, qml-module-qtquick-window2, qml-module-qtlocation, qml-module-qtpositioning, qml-module-qtquick2, qml-module-qtquick-controls2
 Description: Multiplatform ham radio logging program 
  This package provides a ham radio logging program.
  This application supports logging for HF, VHF and sats operations.

## klog 2.3.2

=== debian/changelog ===
klog (2.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Wed, 28 Jun 2023 11:52:24 +0000

klog (2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Sun, 25 Jun 2023 09:17:50 +0000

## klog 2.3.3

=== debian/changelog ===
klog (2.3.3-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:08:36 +1100

klog (2.3.3-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:07:00 +0000

klog (2.3.3-2) unstable; urgency=medium

  * Debian files update.
 -- Jaime Robles <jaime@debian.org>  Fri, 29 Dec 2023 22:28:03 +0000

klog (2.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Fri, 29 Dec 2023 17:46:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: klog
 Section: hamradio
 Priority: optional
-Maintainer: Jaime Robles <jaime@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jaime Robles <jaime@debian.org>
 Build-Depends: debhelper (>= 13.3.4), cdbs (>= 0.4.115+deb7u1), cmake (>= 2.8.9), qttools5-dev-tools, qtchooser, qtbase5-dev, libqt5charts5-dev, libqt5serialport5-dev, libhamlib++-dev, qt5-qmake, qttools5-dev, libqt5sql5-sqlite, qtdeclarative5-dev, qtpositioning5-dev, libhamlib-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.6.1
 Homepage: https://www.klog.xyz
 
 Package: klog

## klog 2.3.4

=== debian/changelog ===
klog (2.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Sat, 02 Mar 2024 11:56:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: klog
 Section: hamradio
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jaime Robles <jaime@debian.org>
+Maintainer: Jaime Robles <jaime@debian.org>
 Build-Depends: debhelper (>= 13.3.4), cdbs (>= 0.4.115+deb7u1), cmake (>= 2.8.9), qttools5-dev-tools, qtchooser, qtbase5-dev, libqt5charts5-dev, libqt5serialport5-dev, libhamlib++-dev, qt5-qmake, qttools5-dev, libqt5sql5-sqlite, qtdeclarative5-dev, qtpositioning5-dev, libhamlib-dev
 Standards-Version: 4.6.1
 Homepage: https://www.klog.xyz

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	/usr/bin/lrelease translations/*.ts
 
 build-arch:
-	#dh_strip
+	dh_strip
 
 install/klog::
 	# Install pixmaps.

## klog 2.4.1

=== debian/changelog ===
klog (2.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Wed, 30 Apr 2025 17:38:58 +0000

klog (2.4.0-2) unstable; urgency=medium

  * Dependencies adjustement.

 -- Jaime Robles <jaime@debian.org>  Mon, 21 Apr 2025 04:00:08 +0000

klog (2.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Mon, 14 Apr 2025 11:56:24 +0000

klog (2.3.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS: Skip broken/duplicated build steps. (Closes: #1101335, #1101614)

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 25 Mar 2025 23:03:58 +0100

klog (2.3.4-3) unstable; urgency=medium

  * Added some missing files. 

 -- Jaime Robles <jaime@debian.org>  Thu, 20 Mar 2025 22:06:51 +0000

klog (2.3.4-2) unstable; urgency=medium

  * Bug closed: Removed deprecated CDBS dependency. (Closes: #1099913)

 -- Jaime Robles <jaime@debian.org>  Wed, 19 Mar 2025 15:55:05 +0000

=== debian/control ===
Source: klog
Section: hamradio
Priority: optional
Maintainer: Jaime Robles <jaime@debian.org>
Build-Depends: debhelper (>= 13.3.4), cmake (>= 2.8.9), qt6-tools-dev-tools, qt6-base-dev, libqt6charts6-dev, qt6-serialport-dev, libhamlib++-dev, qmake6, libqt6sql6-sqlite, libhamlib-dev, qt6-location-dev, qt6-positioning-dev, qt6-l10n-tools, qt6-declarative-private-dev
Standards-Version: 4.6.1
Homepage: https://github.com/ea4k/klog

Package: klog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6serialport6, libqt6sql6-sqlite, qml6-module-qtquick-window, qml6-module-qtlocation, qml6-module-qtpositioning, qml6-module-qtquick, qml6-module-qtquick-controls
Description: Multiplatform ham radio logging program 
 This package provides a ham radio logging program.
 This application supports logging for HF, VHF and sats operations.
 It supports many features like QSL, DXCC, IOTA, WAZ and awards.
 KLog produces ADIF as default file format.
 This application also includes a DX-Cluster client fully integrated
 into the main interface and is also integrated with WSJT-X.
 KLog can run in Linux, OSX & Windows systems.

## klog 2.4.2

=== debian/changelog ===
klog (2.4.2-3) unstable; urgency=medium

  * Closes lintian errors.

 -- Jaime Robles <jaime@debian.org>  Wed, 20 Aug 2025 14:39:26 +0000

klog (2.4.2-2) unstable; urgency=medium

  * Added qml6-module-qtlocation to Depends. (Closes: #1111430)

 -- Jaime Robles <jaime@debian.org>  Mon, 18 Aug 2025 10:07:22 +0000

klog (2.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Thu, 14 Aug 2025 11:08:55 +0000

klog (2.4.1-1.1) unstable; urgency=medium

  * Fix FTBFS: The fix was done in 2.4.1-1. Just uploading for the record. (Closes: #1103726)
  * Dependencies adjustement.

 -- Jaime Robles <jaime@debian.org>  Thu, 01 May 2025 07:40:22 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: klog
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6serialport6, libqt6sql6-sqlite, qml6-module-qtquick-window, qml6-module-qtlocation, qml6-module-qtpositioning, qml6-module-qtquick, qml6-module-qtquick-controls
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6serialport6, libqt6sql6-sqlite, qml6-module-qtlocation, qml6-module-qtquick-window, qml6-module-qtquick, qml6-module-qtquick-controls, qt6-location-plugins
 Description: Multiplatform ham radio logging program 
  This package provides a ham radio logging program.
  This application supports logging for HF, VHF and sats operations.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=qmake6

build-indep:
	echo klog.1 > debian/klog.manpages

override_dh_clean:
	dh_clean translations/*.qm
	dh_clean -d build
	dh_clean Makefile
	dh_clean .qmake*

execute_after_dh_auto_build:
	/usr/lib/qt6/bin/lrelease translations/*.ts

override_dh_auto_install:
	# Install the translations qm files
	#lrelease translations/*.ts
	install -d $(CURDIR)/debian/klog/usr/share/klog/translations
	install -m 644 translations/*.qm $(CURDIR)/debian/klog/usr/share/klog/translations
	dh_auto_install

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/klog-$1\.tar\.gz/ \
https://github.com/ea4k/klog/tags .*/v?(\d\S+)\.tar\.gz

## klog 2.4.3

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.31

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/devel/GitHub/klog

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/devel/GitHub/klog

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/devel/GitHub/klog && $(CMAKE_COMMAND) -E cmake_progress_start /home/devel/GitHub/klog/CMakeFiles /home/devel/GitHub/klog/src//CMakeFiles/progress.marks
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/devel/GitHub/klog/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/devel/GitHub/klog && $(CMAKE_COMMAND) -P /home/devel/GitHub/klog/CMakeFiles/VerifyGlobs.cmake
	cd /home/devel/GitHub/klog && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/CMakeFiles/klog.dir/rule:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/CMakeFiles/klog.dir/rule
.PHONY : src/CMakeFiles/klog.dir/rule

# Convenience name for target.
klog: src/CMakeFiles/klog.dir/rule
.PHONY : klog

# fast build rule for target.
klog/fast:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/build
.PHONY : klog/fast

# Convenience name for target.
src/CMakeFiles/klog_autogen_timestamp_deps.dir/rule:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/CMakeFiles/klog_autogen_timestamp_deps.dir/rule
.PHONY : src/CMakeFiles/klog_autogen_timestamp_deps.dir/rule

# Convenience name for target.
klog_autogen_timestamp_deps: src/CMakeFiles/klog_autogen_timestamp_deps.dir/rule
.PHONY : klog_autogen_timestamp_deps

# fast build rule for target.
klog_autogen_timestamp_deps/fast:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog_autogen_timestamp_deps.dir/build.make src/CMakeFiles/klog_autogen_timestamp_deps.dir/build
.PHONY : klog_autogen_timestamp_deps/fast

# Convenience name for target.
src/CMakeFiles/klog_autogen.dir/rule:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 src/CMakeFiles/klog_autogen.dir/rule
.PHONY : src/CMakeFiles/klog_autogen.dir/rule

# Convenience name for target.
klog_autogen: src/CMakeFiles/klog_autogen.dir/rule
.PHONY : klog_autogen

# fast build rule for target.
klog_autogen/fast:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog_autogen.dir/build.make src/CMakeFiles/klog_autogen.dir/build
.PHONY : klog_autogen/fast

aboutdialog.o: aboutdialog.cpp.o
.PHONY : aboutdialog.o

# target to build an object file
aboutdialog.cpp.o:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/aboutdialog.cpp.o
.PHONY : aboutdialog.cpp.o

aboutdialog.i: aboutdialog.cpp.i
.PHONY : aboutdialog.i

# target to preprocess a source file
aboutdialog.cpp.i:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/aboutdialog.cpp.i
.PHONY : aboutdialog.cpp.i

aboutdialog.s: aboutdialog.cpp.s
.PHONY : aboutdialog.s

# target to generate assembly for a file
aboutdialog.cpp.s:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/aboutdialog.cpp.s
.PHONY : aboutdialog.cpp.s

adif.o: adif.cpp.o
.PHONY : adif.o

# target to build an object file
adif.cpp.o:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/adif.cpp.o
.PHONY : adif.cpp.o

adif.i: adif.cpp.i
.PHONY : adif.i

# target to preprocess a source file
adif.cpp.i:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/adif.cpp.i
.PHONY : adif.cpp.i

adif.s: adif.cpp.s
.PHONY : adif.s

# target to generate assembly for a file
adif.cpp.s:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/adif.cpp.s
.PHONY : adif.cpp.s

awarddxmarathon.o: awarddxmarathon.cpp.o
.PHONY : awarddxmarathon.o

# target to build an object file
awarddxmarathon.cpp.o:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/awarddxmarathon.cpp.o
.PHONY : awarddxmarathon.cpp.o

awarddxmarathon.i: awarddxmarathon.cpp.i
.PHONY : awarddxmarathon.i

# target to preprocess a source file
awarddxmarathon.cpp.i:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/awarddxmarathon.cpp.i
.PHONY : awarddxmarathon.cpp.i

awarddxmarathon.s: awarddxmarathon.cpp.s
.PHONY : awarddxmarathon.s

# target to generate assembly for a file
awarddxmarathon.cpp.s:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/awarddxmarathon.cpp.s
.PHONY : awarddxmarathon.cpp.s

awards.o: awards.cpp.o
.PHONY : awards.o

# target to build an object file
awards.cpp.o:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/awards.cpp.o
.PHONY : awards.cpp.o

awards.i: awards.cpp.i
.PHONY : awards.i

# target to preprocess a source file
awards.cpp.i:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/awards.cpp.i
.PHONY : awards.cpp.i

awards.s: awards.cpp.s
.PHONY : awards.s

# target to generate assembly for a file
awards.cpp.s:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/awards.cpp.s
.PHONY : awards.cpp.s

awardswidget.o: awardswidget.cpp.o
.PHONY : awardswidget.o

# target to build an object file
awardswidget.cpp.o:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/awardswidget.cpp.o
.PHONY : awardswidget.cpp.o

awardswidget.i: awardswidget.cpp.i
.PHONY : awardswidget.i

# target to preprocess a source file
awardswidget.cpp.i:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/awardswidget.cpp.i
.PHONY : awardswidget.cpp.i

awardswidget.s: awardswidget.cpp.s
.PHONY : awardswidget.s

# target to generate assembly for a file
awardswidget.cpp.s:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/awardswidget.cpp.s
.PHONY : awardswidget.cpp.s

callsign.o: callsign.cpp.o
.PHONY : callsign.o

# target to build an object file
callsign.cpp.o:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/callsign.cpp.o
.PHONY : callsign.cpp.o

callsign.i: callsign.cpp.i
.PHONY : callsign.i

# target to preprocess a source file
callsign.cpp.i:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/callsign.cpp.i
.PHONY : callsign.cpp.i

callsign.s: callsign.cpp.s
.PHONY : callsign.s

# target to generate assembly for a file
callsign.cpp.s:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/callsign.cpp.s
.PHONY : callsign.cpp.s

charts/statscqzperyearbarchartwidget.o: charts/statscqzperyearbarchartwidget.cpp.o
.PHONY : charts/statscqzperyearbarchartwidget.o

# target to build an object file
charts/statscqzperyearbarchartwidget.cpp.o:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/charts/statscqzperyearbarchartwidget.cpp.o
.PHONY : charts/statscqzperyearbarchartwidget.cpp.o

charts/statscqzperyearbarchartwidget.i: charts/statscqzperyearbarchartwidget.cpp.i
.PHONY : charts/statscqzperyearbarchartwidget.i

# target to preprocess a source file
charts/statscqzperyearbarchartwidget.cpp.i:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/charts/statscqzperyearbarchartwidget.cpp.i
.PHONY : charts/statscqzperyearbarchartwidget.cpp.i

charts/statscqzperyearbarchartwidget.s: charts/statscqzperyearbarchartwidget.cpp.s
.PHONY : charts/statscqzperyearbarchartwidget.s

# target to generate assembly for a file
charts/statscqzperyearbarchartwidget.cpp.s:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/charts/statscqzperyearbarchartwidget.cpp.s
.PHONY : charts/statscqzperyearbarchartwidget.cpp.s

charts/statsdxccsonsatswidget.o: charts/statsdxccsonsatswidget.cpp.o
.PHONY : charts/statsdxccsonsatswidget.o

# target to build an object file
charts/statsdxccsonsatswidget.cpp.o:
	cd /home/devel/GitHub/klog && $(MAKE) $(MAKESILENT) -f src/CMakeFiles/klog.dir/build.make src/CMakeFiles/klog.dir/charts/statsdxccsonsatswidget.cpp.o
.PHONY : charts/statsdxccsonsatswidget.cpp.o

=== debian/changelog ===
klog (2.4.3-1) unstable; urgency=medium

  * New upstream release.

 -- Jaime Robles <jaime@debian.org>  Wed, 25 Feb 2026 18:35:48 +0000
